Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ATLAS.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ATLAS.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ATLAS.sh	(revision 26862)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+package=atlas
+version=-3.10.1
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+if [ $auto_config == "1" ] ; then
+	(
+	cd $package$version;
+	PWD_PATH=`pwd`
+	    if [ ! -d release ] ; then \
+	      echo "Creating 'release' directory" ; \
+	      mkdir release ; \
+	    fi ; \
+	    cd release;
+		$PWD_PATH/configure --prefix=$prefix;
+	   	make;
+		make check;
+		make ptcheck;
+		make time;
+		make install;
+	cd ../..;
+	)
+fi
+#opt_run_configure $force_config $auto_config $package $version $prefix
+
+#opt_run_make $compile $package $version
+#opt_run_make $install $package $version "install"
+#opt_run_make $clean $package $version "clean"
+#opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/BOOST.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/BOOST.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/BOOST.sh	(revision 26862)
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+package=boost
+version=_1_52_0
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+if [ $auto_config = "1" ] ; then
+  if [ ! -e $package$version/bjam ]; then
+  force_config=1
+  fi
+fi
+
+if [ $force_config = "1" ] ; then
+  echo "[pushd $package$version]"
+  ( cd $package$version ; \
+   ./bootstrap.sh --prefix=$prefix; \
+   BZIP2_INCLUDE=$prefix/include/ \
+   BZIP2_LIBPATH=$prefix/lib/ \
+   ./b2 --without-python install; \
+   cd ..; )
+  if [ $? != 0 ] ; then
+      echo "      Error encountered running *configure* stage of $progname"
+      exit 1
+  fi
+  echo "[popd]"
+else
+  if [ $auto_config = "1" ] ; then
+    echo "Found Boostrap output for ${progname%.*} => no need to Bootstrap or Compile"
+  fi
+fi
+
+#opt_run_configure $force_config $auto_config $package $version $prefix
+
+#opt_run_make $compile $package $version
+#opt_run_make $install $package $version "install"
+#opt_run_make $clean $package $version "clean"
+#opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/BZIP.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/BZIP.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/BZIP.sh	(revision 26862)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+package=bzip2
+version=-1.0.6
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+#opt_run_configure $force_config $auto_config $package $version $prefix
+if [ $auto_config = "1" ] ; then
+	if [ ! -e $package$version/bzip ]; then
+		cd $package$version;
+		make -f Makefile-libbz2_so 
+		make install PREFIX=$prefix;		
+		cd ..;
+	fi
+fi
+
+#opt_run_make $compile $package $version
+#opt_run_make $install $package $version "install"
+#opt_run_make $clean $package $version "clean"
+#opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/CMAKE.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/CMAKE.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/CMAKE.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=cmake
+version=-2.8.10.2
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/CURSES.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/CURSES.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/CURSES.sh	(revision 26862)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+package=ncurses
+version=-5.9
+
+progname=$0
+
+#A HEX on Linux
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+#opt_run_configure $force_config $auto_config $package $version $prefix
+
+if [ $auto_config = "1" ] ; then
+	cd $package$version;
+	CFLAGS=-fPIC ./configure --prefix=$prefix
+	cd ..;
+fi
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ENBLEND.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ENBLEND.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ENBLEND.sh	(revision 26862)
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+package=enblend
+version=-git-jan2013
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+# Whether force_config is set for this package depends on CMake test
+# to see if 'release' directory has been created or no
+if [ $auto_config = "1" ] ; then
+  if [ ! -d $package$version/release ]; then
+    force_config=1
+  fi
+fi
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+if [ $force_config = "1" ] ; then
+  echo "[pushd $package$version]"
+  ( cd $package$version ; \
+    if [ ! -d release ] ; then \
+      echo "Creating 'release' directory" ; \
+      mkdir release ; \
+    fi ; \
+    cd release ; \
+    cmake -D CMAKE_INSTALL_PREFIX=$prefix \
+          -D ENABLE_GPU:BOOL=ON \
+          -D ENABLE_IMAGECACHE:BOOL=OFF \
+          -D ENABLE_OPENMP:BOOL=ON \
+          -D CPACK_BINARY_DEB:BOOL=ON \
+          -D CPACK_BINARY_NSIS:BOOL=OFF \
+          -D CPACK_BINARY_RPM:BOOL=OFF \
+          -D CPACK_BINARY_STGZ:BOOL=OFF \
+          -D CPACK_BINARY_TBZ2:BOOL=OFF \
+          -D CPACK_BINARY_TGZ:BOOL=OFF \
+          -D CPACK_BINARY_TZ:BOOL=OFF \
+          -D CMAKE_BUILD_TYPE=Release \
+          ..;
+    PKG_CONFIG_PATH=$prefix/lib/pkgconfig:${PKG_CONFIG_PATH};
+    export PKG_CONFIG_PATH;
+   )
+  if [ $? != 0 ] ; then
+      echo "      Error encountered running *configure* stage of $progname"
+      exit 1
+  fi
+  echo "[popd]"
+else
+  if [ $auto_config = "1" ] ; then
+    echo "Found top-level for ${progname%.*} => no need to run configure/initialize CMake"
+  fi
+fi
+
+opt_run_cmake $compile $package $version "release"
+opt_run_cmake $install $package $version "release" "install"
+opt_run_cmake $clean $package $version "release" "clean"
+opt_run_cmake $distclean $package $version "release" "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/EXIV2.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/EXIV2.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/EXIV2.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=exiv2
+version=-0.23
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/EXPAT.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/EXPAT.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/EXPAT.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=expat
+version=-2.1.0
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/FREEGLUT.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/FREEGLUT.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/FREEGLUT.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=freeglut
+version=-2.8.0
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=gettext
+version=-0.18.2
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/GLEW.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/GLEW.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/GLEW.sh	(revision 26862)
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+package=glew
+version=-1.9.0
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+#opt_run_configure $force_config $auto_config $package $version $prefix
+if [ $auto_config = "1" ] ; then
+	cd $package$version;
+	GLEW_DEST=$prefix GL_LDFLAGS=$LDFLAGS CFLAGS="$LDFLAGS $CFLAGS" make -e install
+	cd ..;
+fi
+#opt_run_make $compile $package $version
+#opt_run_make $install $package $version "install"
+#opt_run_make $clean $package $version "clean"
+#opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/GSL.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/GSL.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/GSL.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=gsl
+version=-1.13
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/HUGIN.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/HUGIN.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/HUGIN.sh	(revision 26862)
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+package=hugin
+version=-2012.0.0
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+# Whether force_config is set for this package depends on CMake test
+# to see if 'release' directory has been created or no
+if [ $auto_config = "1" ] ; then
+  if [ ! -d $package$version/release ]; then
+    force_config=1
+  fi
+fi
+
+opt_run_untar $force_untar $auto_untar $package $version .tar.bz2
+
+if [ $force_config = "1" ] ; then
+  echo "[pushd $package$version]"
+  ( cd $package$version ; \
+    if [ ! -d release ] ; then \
+      echo "Creating 'release' directory" ; \
+      mkdir release ; \
+    fi ; \
+    cd release ; \
+    LDFLAGS="$LDFLAGS -lgfortran -lutil" CFLAGS="$CFLAGS -lutil" cmake \
+          -D CMAKE_INSTALL_PREFIX=$prefix \
+          -D ENABLE_LAPACK=YES \
+          -D BUILD_HSI:BOOL=OFF \
+          ..;
+   )
+  if [ $? != 0 ] ; then
+      echo "      Error encountered running *configure* stage of $progname"
+      exit 1
+  fi
+  echo "[popd]"
+else
+  if [ $auto_config = "1" ] ; then
+    echo "Found top-level for ${progname%.*} => no need to run configure/initialize CMake"
+  fi
+fi
+
+opt_run_cmake $compile $package $version "release"
+opt_run_cmake $install $package $version "release" "install"
+opt_run_cmake $clean $package $version "release" "clean"
+opt_run_cmake $distclean $package $version "release" "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ILMBASE.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ILMBASE.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ILMBASE.sh	(revision 26862)
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+package=ilmbase
+version=-git-jan2013
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+if [ $auto_config = "1" ] ; then
+	cd $package$version;
+	ACLOCAL_INCLUDE="$ACLOCAL_INLCUDE -I$prefix/share/aclocal" ./bootstrap
+	cd ..;
+fi
+
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/IMAGEMAGICK.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/IMAGEMAGICK.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/IMAGEMAGICK.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=ImageMagick
+version=-6.8.1-10
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LAPACK.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LAPACK.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LAPACK.sh	(revision 26862)
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+package=lapack
+version=-3.4.2
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+if [ $force_config = "1" ] ; then
+  echo "[pushd $package$version]"
+  ( cd $package$version ; \
+    if [ ! -d release ] ; then \
+      echo "Creating 'release' directory" ; \
+      mkdir release ; \
+    fi ; \
+    #LAPACK has an unusual CMAKE. Which breakes the OPT_MAKE if it doesn't run it in the root dir.
+    cmake -D CMAKE_INSTALL_PREFIX=$prefix \
+    	  -D CMAKE_Fortran_FLAGS=-fPIC \
+          .;
+   )
+  if [ $? != 0 ] ; then
+      echo "      Error encountered running *configure* stage of $progname"
+      exit 1
+  fi
+  echo "[popd]"
+else
+  if [ $auto_config = "1" ] ; then
+    echo "Found top-level for ${progname%.*} => no need to run configure/initialize CMake"
+  fi
+fi
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LCMS.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LCMS.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LCMS.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=lcms
+version=2-2.4
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LENSFUN.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LENSFUN.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LENSFUN.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=lensfun
+version=-0.2.6
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version .tar.bz2
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBJPEG.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBJPEG.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBJPEG.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=libjpeg
+version=-terbo-1.2.1
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBPANO.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBPANO.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBPANO.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=libpano
+version=13-2.9.18
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBPNG.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBPNG.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBPNG.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=libpng
+version=-1.2.50
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBTIFF.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBTIFF.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBTIFF.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=tiff
+version=-4.0.3
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBTOOL.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBTOOL.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBTOOL.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=libtool
+version=-2.4
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBXI.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBXI.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBXI.sh	(revision 26862)
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+package=libXi
+version=-1.4.5
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+if [ $auto_config = "1" ] ; then
+  echo "[pushd $package$version]";
+  cd $package$version;
+  ACLOCAL="aclocal -I$prefix/share/aclocal" autoreconf -v --install
+  cd ..;
+  echo "[popd]";
+fi
+
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBXMU.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBXMU.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/LIBXMU.sh	(revision 26862)
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+package=libXmu
+version=-1.1.1
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+if [ $auto_config = "1" ] ; then
+  echo "[pushd $package$version]";
+  cd $package$version;
+  ACLOCAL="aclocal -I$prefix/share/aclocal" autoreconf -v --install
+  cd ..;
+  echo "[popd]";
+fi
+
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/OCTAVE.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/OCTAVE.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/OCTAVE.sh	(revision 26862)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+package=octave
+version=-3.6.3
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+#opt_run_configure $force_config $auto_config $package $version $prefix
+if [ $auto_config = "1" ] ; then
+	cd $package$version;
+	LDFLAGS="$LDFLAGS -lz" ./configure --prefix=$prefix --disable-docs
+	make;
+	make check;
+	make install;
+	cd ..;
+fi
+
+#opt_run_make $compile $package $version
+#opt_run_make $install $package $version "install"
+#opt_run_make $clean $package $version "clean"
+#opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/OPENEXR.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/OPENEXR.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/OPENEXR.sh	(revision 26862)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+package=openexr
+version=-git-jan2013
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+if [ $auto_config = "1" ] ; then
+	cd $package$version;
+	ACLOCAL_INCLUDE="$ACLOCAL_INLCUDE -I$prefix/share/aclocal" ./bootstrap
+	./configure --prefix=$prefix --disable-ilmbasetest
+	cd ..;
+fi
+
+#opt_run_configure $force_config $auto_config $package $version $prefix
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/PCRE.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/PCRE.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/PCRE.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=pcre
+version=-8.32
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/PLOT.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/PLOT.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/PLOT.sh	(revision 26862)
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+package=plotutils
+version=-2.6
+
+#Girl Shake that Plot :P
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/PYTHON.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/PYTHON.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/PYTHON.sh	(revision 26862)
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+package=Python
+version=-3.3.0
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+#opt_run_configure $force_config $auto_config $package $version $prefix
+
+if [ $auto_config = "1" ] ; then
+	cd $package$version;
+	CFLAGS=-fPIC ./configure --prefix=$prefix
+	cd ..;
+fi
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/READLINE.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/READLINE.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/READLINE.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=readline
+version=-6.2
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/SWIG.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/SWIG.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/SWIG.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=swig
+version=-2.0.9
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/TCLAP.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/TCLAP.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/TCLAP.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=tclap
+version=-1.2.1
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/VIGRA.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/VIGRA.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/VIGRA.sh	(revision 26862)
@@ -0,0 +1,52 @@
+#!/bin/bash
+
+package=vigra
+version=-1.9.0
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+# Whether force_config is set for this package depends on CMake test
+# to see if 'release' directory has been created or no
+if [ $auto_config = "1" ] ; then
+  if [ ! -d $package$version/release ]; then
+    force_config=1
+  fi
+fi
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+if [ $force_config = "1" ] ; then
+  echo "[pushd $package$version]"
+  ( cd $package$version ; \
+    if [ ! -d release ] ; then \
+      echo "Creating 'release' directory" ; \
+      mkdir release ; \
+    fi ; \
+    cd release ; \
+    cmake -D CMAKE_INSTALL_PREFIX=$prefix \
+           ..;
+    PKG_CONFIG_PATH=$prefix/lib/pkgconfig:${PKG_CONFIG_PATH};
+    export PKG_CONFIG_PATH;
+   )
+  if [ $? != 0 ] ; then
+      echo "      Error encountered running *configure* stage of $progname"
+      exit 1
+  fi
+  echo "[popd]"
+else
+  if [ $auto_config = "1" ] ; then
+    echo "Found top-level for ${progname%.*} => no need to run configure/initialize CMake"
+  fi
+fi
+
+opt_run_cmake $compile $package $version "release"
+opt_run_cmake $install $package $version "release" "install"
+opt_run_cmake $clean $package $version "release" "clean"
+opt_run_cmake $distclean $package $version "release" "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/WXWIDGETS.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/WXWIDGETS.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/WXWIDGETS.sh	(revision 26862)
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+package=wxWidgets
+version=-2.9.4
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version .tar.bz2
+#opt_run_configure $force_config $auto_config $package $version $prefix
+
+if [ $auto_config = "1" ] ; then
+	cd $package$version;
+	./configure --prefix=$prefix --with-opengl
+	cd ..;
+fi
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/XAW.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/XAW.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/XAW.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=libXaw
+version=-1.0.11
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version .tar.bz2
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/XORGMACROS.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/XORGMACROS.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/XORGMACROS.sh	(revision 26862)
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+package=util-macros
+version=-1.17
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+if [ $force_config = "1" ] ; then
+  echo "[pushd $package$version]";
+  cd $package$version;
+  ./autogen.sh;
+  cd ..;
+  echo "[popd]";
+fi
+
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ZLIB.sh
===================================================================
--- gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ZLIB.sh	(revision 26862)
+++ gs3-extensions/hugin/trunk/src/packages/CASCADE-MAKE/ZLIB.sh	(revision 26862)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+package=zlib
+version=-1.2.7
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*
+
+prefix=$GEXTHUGIN_INSTALLED
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
